Bug 115270 - RFE: update to 21.4.15
RFE: update to 21.4.15
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-09 16:03 EST by Ville Skyttä
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 11:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2004-02-09 16:03:31 EST
XEmacs 21.4.15 is out, I have updated the 21.4.14-6 SRPM to it, looks
good here.

Specfile patch (in UTF-8, probably the webserver screws it):
http://koti.welho.com/vskytta/xemacs/xemacs-spec.patch
(no backup for the fontsets patch since the backup gets installed...)

Rediffed:
http://koti.welho.com/vskytta/xemacs/xemacs-21.4.15-regexp-stack-overflow-107402.patch
Comment 1 Jens Petersen 2004-02-15 19:51:24 EST
xemacs-21,4,15-1 is built.

AFAICT the regexp stack overflow patch is no longer needed
so I removed it for now, but let me know if there are any
problems.
Comment 2 Jens Petersen 2004-02-15 20:07:56 EST
I'll make the change no to backup Emacs.ad in the next build.
Comment 3 Ville Skyttä 2004-02-16 01:46:18 EST
FYI, there are some serious issues with the XEmacs package UI in
21.4.15, they're being fixed at the moment.  See xemacs-beta.

Also, for the future, could you consider lowering the Canna-devel
versioned requirement to eg 3.6-12?  I regularly build from rawhide to
RH9 and that's the only thing I need to change in this package :)
Comment 4 Jens Petersen 2004-02-16 19:40:51 EST
Ok, thanks for the heads up about the pui.

I'll drop the Canna-devel version requirement in the
next build since I don't think it is needed.  Thanks.
Comment 5 Jens Petersen 2004-04-06 11:49:36 EDT
Canna-devel req and fontset patch backup problems should
fixed in 21.4.15-4.

Note You need to log in before you can comment on or make changes to this bug.